Create Block Number Group (Token authentication)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using this API, you can create a Block Number group within your Cloud Agent account, allowing you to add multiple numbers.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
  3. With the token entered, pass the below header and body parameters:

Header parameters

ParameterDescription
Content-Typeapplication/json

Body Params

{
"userName":"xxxxx",
"name":"xxxxxx",
"description":"xxxx",
"blockNumbers":"12345678966",
"expiryDate":"YYYY-MM-DD HH:MM:SS"
}

ParameterDescription
userNameYour CloudAgent account username
nameName for the block number group
descriptionEnter the description for the group
blockNumbersPhone numbers to be added to the group
expiryDateAdd the expiry date for the number, this indicates the duration you want the number to remain in the blocked list.
Format: YYYY-MM-DD HH:MM:SS
❗️

Rate Limit

This API supports the addition of up to 100 phone numbers in a single request.

Possible responses

Passing Invalid 'username' in Authorization{"status": "error","message": "Authentication failed"}
Passing Invalid 'password' in Authorization{"status": "error","message": "Authentication failed"}
Passing invalid namekey parameter.{ "status": "error","message": "Parameters are mandatory"}
Passing invalid namevalue parameter{"status": "error","message": "invalid data","errors": {"name": "Name (X) allows 2 to 50 characters only"}}
Passing invalid descriptionkey parameter.{ "status": "error","message": "Parameters are mandatory"}
Passing invalid descriptionvalue parameter.{"status": "error","message": "invalid data","errors": {"name": "Name (B) allows 2 to 50 characters only"}}
Passing invalid blockNumbers value parameter.{"status": "error","message": "invalid data","errors": {"blockNumbers": "Blocknumbers data contains invalid format of numbers"}}
Successfully group is created with multiple numbers"{""status"": ""success"",""message"": ""created"",""input"": {""name"": ""XXXX"",""description"": ""XXXX"",
""blockNumbers"": [ ""97XXX04XX3,98XXXXXX98,97XXXXXX97,90XXXXXX50,99XXXXXX66""]},
""output"": {""affectedRows"": 1,
""lastInsertId"": 20,""succes"": [],""error"": [ ""97XXX04XX3,98XXXXXX98,97XXXXXX97,90XXXXXX50,99XXXXXX66""]}}"
Body Params
Headers
string
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!